Bug 989569 - Add net-update xml parsing tests
Add net-update xml parsing tests
Status: CLOSED NEXTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ján Tomko
: TestCaseNeeded
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 10:44 EDT by Dave Allan
Modified: 2016-04-26 13:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-28 02:53:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Allan 2013-07-29 10:44:07 EDT
net-update has been the subject of crashes recently (BZ 988718) so it ought to have better regression testing.
Comment 1 Ján Tomko 2013-08-28 02:53:15 EDT
Now pushed upstream:
commit 2d9185a9f3cda5c45a8187de9e24088ba7cb18a0
Author:     Ján Tomko <jtomko@redhat.com>
AuthorDate: 2013-07-29 17:17:47 +0200
Commit:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2013-08-28 08:05:46 +0200

    Test network update XML parsing
    
    Add checks for updating sections of network definition via
    virNetworkDefUpdateSection.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=989569

commit d8bd24a9ecce1eead3059621c4e3c5ad1c3a087f
Author:     Ján Tomko <jtomko@redhat.com>
AuthorDate: 2013-07-30 14:36:08 +0200
Commit:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2013-08-28 08:05:46 +0200

    Remove the space before the slash in network XML
    
    This matches the style we use elsewhere and allows
    nat-network-dns-srv-record{,-minimal}.xml to be tested in
    network XML -> XML test.

git describe: v1.1.1-241-g2d9185a

Note You need to log in before you can comment on or make changes to this bug.